-- flipTrigs.sql
-- =============
-- written by Doug Kiz
--
--   A batch script to enable/disable table triggers.
-- ================


@@spoolPrep.sql

spool runtrigs.sql

select distinct
       'Alter table ' || table_owner|| '.'|| table_name || ' &1 all triggers;'
  from dba_triggers
 where status = decode(upper('&1'), 'ENABLE', 'DISABLED', 'DISABLE', 'ENABLED')
   and owner not in ('SYS', 'SYSTEM')
   and table_name is not null
/

Spool off

@@isql_prefs

@@runtrigs
