-- flipPkey.sql
---------------

set pagesize 0
set linesize 132
set feedback off

spool cnstrnt.sql

select 'Alter table '|| owner|| '.'|| table_name ||
       ' &1 primary key;'
  from dba_constraints
 where constraint_type in 'P'
   and status <> UPPER( '&1.d' )
   and owner not like 'SYS%'
;

select 'Alter table '|| owner|| '.'|| table_name ||
       ' &1 constraint ' || constraint_name || ';'
  from dba_constraints
 where constraint_type in 'U'
   and status <> UPPER( '&1.d' )
   and owner not like 'SYS%'
;

Spool off

@isql_prefs

@cnstrnt

