set echo off
set markup HTML off 

-- *****************************************************
-- * isql_prefs.sql                                    *
-- * --------------                                    *
-- *                                                   *
-- *  Interactive SQL*Plus preferences for power users *
-- *****************************************************
prompt isql_prefs . . .
     ttitle off
     btitle off
     clear breaks
     clear columns

/* session settings */
     set define on
     set echo off
     set verify off
     set pagesize 43
     set feedback 6
     set linesize 1000  
     set underline "-"
     set pause off
     set pause '  press <Enter> to continue . . .'
     set tab off
     set heading on
     set markup html off spool off entmap off
     set serveroutput on
     set null %
     set SQLPROMPT "SQL> "
--     set sqlprompt "&prompt_var"
     set SQLTERMINATOR `
     set SQLTERMINATOR ;
     set colsep ' '
     set term on
     set trimspool on
     set trimout on
     set arraysize 1
     set time off
     set timing off
     set newpage 1
     set long 8000


-- column formats and shortcuts
     define tsn = 'TABLESPACE_NAME'

     column megs format 99,990.0
     column sql format a500 word_wrapped


-- other shortcuts
     define dml = 'INSERT, UPDATE, DELETE'
